## ada-url 3.3.0

=== debian/changelog ===
ada-url (3.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1091933)
    Many thanks to Nicholas Guriev for the initial work.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 05 Nov 2025 20:27:04 +0100
