=== debian/control ===
Source: ada-url
Section: libs
Priority: optional
Maintainer: Jérémy Lal <kapouer@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake (>= 3.16.0)
 , libsimdutf-dev
 , libgtest-dev <!nocheck>
 , libsimdjson-dev <!nocheck>
Build-Depends-Indep: dh-sequence-doxygen <!nodoc>
 , doxygen <!nodoc>
Standards-Version: 4.7.2
Homepage: https://ada-url.com/
Vcs-Git: https://salsa.debian.org/debian/ada-url.git
Vcs-Browser: https://salsa.debian.org/debian/ada-url

Package: libada-url0-3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WHATWG-compliant and fast URL parser
 A fast and spec-compliant URL parser written in C++. The Ada library passes
 the full range of tests from the specification, across a wide range of
 platforms (e.g., Windows, Linux, macOS). It fully supports the relevant
 Unicode Technical Standard.

Package: libada-url-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libada-url0-3 (=${binary:Version}), ${misc:Depends}
Recommends: libada-url-doc
Description: WHATWG-compliant and fast URL parser - development headers
 A fast and spec-compliant URL parser written in C++. The Ada library passes
 the full range of tests from the specification, across a wide range of
 platforms (e.g., Windows, Linux, macOS). It fully supports the relevant
 Unicode Technical Standard.
 .
 This package provides public C/C++ headers.

Package: libada-url-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: WHATWG-compliant and fast URL parser - documentation
 A fast and spec-compliant URL parser written in C++. The Ada library passes
 the full range of tests from the specification, across a wide range of
 platforms (e.g., Windows, Linux, macOS). It fully supports the relevant
 Unicode Technical Standard.
 .
 This package provides the library documentation.
