=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This needs to be changed whenever a new upstream version is imported,
# unless we are sure that the ABI hasn't changed
debian_abi = 0


enable_testing = OFF

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
enable_testing = ON
endif

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- -DADA_TESTING=$(enable_testing) -DADA_TOOLS=False -DBUILD_SHARED_LIBS=True -DCMAKE_DISABLE_FIND_PACKAGE_Python3=True -DADA_USE_SIMDUTF=ON -DADA_LIB_ABI=$(debian_abi)

# Skip compilation for 'all' architecture.
override_dh_auto_configure-indep:

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build-indep:
	doxygen doxygen
endif

execute_after_dh_auto_clean:
	$(RM) -r docs/html
