=== debian/watch ===
Version: 5

Template: Github
Owner: ada-url
Project: ada
